Name:		utouch-geis
Version:	2.2.1
Release:	1%{?dist}
Summary:	Gesture Engine Interface and Support

License:	LGPLv3+
URL:		https://launchpad.net/utouch-geis
Source0:	http://launchpad.net/utouch-geis/trunk/utouch-geis-2.2.1/+download/utouch-geis-2.2.1.tar.gz

BuildRequires:	xorg-x11-server-devel, xcb-proto
#Requires:	
Patch1:         utouch-geis-2.2.1-unused-ids.patch

%description
GEIS is a library for applications and toolkit programmers which
provides a consistent platform independent interface for any
system-wide input gesture recognition mechanism.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch1 -p1 -b .orig


%build
%configure --disable-static
# FIXME
make %{?_smp_mflags} CFLAGS= 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc
%{_bindir}/*
%{_libdir}/*.so.*
# FIXME
/usr/lib/python2.7/site-packages/geis*
%{_libdir}/python2.7/site-packages/_geis_bindings.so
%{_datadir}/applications/geisview.desktop

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_docdir}/%{name}
%{_datadir}/geisview
%{_mandir}/man1/geistest*
%{_datadir}/pixmaps/geisview32x32.xpm


%changelog
* Fri Nov 25 2011 Jens Petersen <petersen@redhat.com> - 2.2.1-1
- initial packaging
